Name:           python-hpack
Version:        4.0.0
Release:        2
Summary:        HTTP/2 Header Compression for Python
License:        MIT
URL:            https://github.com/python-hyper/hpack
Source0:        https://github.com/python-hyper/hpack/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel python3dist(setuptools) python3dist(pytest) python3dist(hypothesis)

%{?python_enable_dependency_generator}

%description
hpack provides a simple Python interface to the HPACK compression algorithm,used to compress HTTP headers
in HTTP/2.Used by some of the most populer HTTP/2 implementations in Python,HPACK offers a great Python
interface as well as optional upgrade to optimised C-based compression routines from nghttp2.

%package -n     python3-hpack
Summary:        HTTP/2 Header Compression for Python
%{?python_provide:%python_provide python3-hpack}

%description -n python3-hpack
hpack provides a simple Python interface to the HPACK compression algorithm,used to compress HTTP headers
in HTTP/2.Used by some of the most populer HTTP/2 implementations in Python,HPACK offers a great Python
interface as well as optional upgrade to optimised C-based compression routines from nghttp2.

%prep
%autosetup -n hpack-%{version} -p1
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-hpack
%doc README.rst LICENSE
%{python3_sitelib}/hpack
%{python3_sitelib}/hpack-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 01 2022 xigaoxinyan <xigaoxinyan@huawei.com> - 4.0.0-2
- Fix build error caused by py3.10+ wildcard

* Wed Jul 28 2021 liyanan <liyanan32@huawei.com> - 4.0.0-1
- update to 4.0.0

* Fri Nov 13 2020 baizhonggui <baizhonggui@huawei.com> - 3.0.0-5
- Drop Python 2 subpackage

* Fri Mar 6 2020 zhangtao <zhangtao221@huawei.com> - 3.0.0-4
- Package init
